
module "avm-res-web-site" {
  source = "terraform-aws-modules/avm-res-web-site/aws"
  version = "0.6.2"
  all_child_resources_inherit_lock = var.all_child_resources_inherit_lock
  all_child_resources_inherit_tags = var.all_child_resources_inherit_tags
  app_settings = var.app_settings
  application_insights = var.application_insights
  auth_settings = var.auth_settings
  auth_settings_v2 = var.auth_settings_v2
  auto_heal_setting = var.auto_heal_setting
  backup = var.backup
  builtin_logging_enabled = var.builtin_logging_enabled
  client_affinity_enabled = var.client_affinity_enabled
  client_certificate_enabled = var.client_certificate_enabled
  client_certificate_exclusion_paths = var.client_certificate_exclusion_paths
  client_certificate_mode = var.client_certificate_mode
  connection_strings = var.connection_strings
  content_share_force_disabled = var.content_share_force_disabled
  create_service_plan = var.create_service_plan
  custom_domains = var.custom_domains
  daily_memory_time_quota = var.daily_memory_time_quota
  diagnostic_settings = var.diagnostic_settings
  enable_application_insights = var.enable_application_insights
  enable_telemetry = var.enable_telemetry
  enabled = var.enabled
  ftp_publish_basic_authentication_enabled = var.ftp_publish_basic_authentication_enabled
  function_app_create_storage_account = var.function_app_create_storage_account
  function_app_storage_account = var.function_app_storage_account
  function_app_storage_account_access_key = var.function_app_storage_account_access_key
  function_app_storage_account_name = var.function_app_storage_account_name
  function_app_storage_uses_managed_identity = var.function_app_storage_uses_managed_identity
  functions_extension_version = var.functions_extension_version
  https_only = var.https_only
  key_vault_reference_identity_id = var.key_vault_reference_identity_id
  kind = var.kind
  location = var.location
  lock = var.lock
  logs = var.logs
  managed_identities = var.managed_identities
  name = var.name
  new_service_plan = var.new_service_plan
  os_type = var.os_type
  private_endpoints = var.private_endpoints
  private_endpoints_inherit_lock = var.private_endpoints_inherit_lock
  private_endpoints_manage_dns_zone_group = var.private_endpoints_manage_dns_zone_group
  public_network_access_enabled = var.public_network_access_enabled
  resource_group_name = var.resource_group_name
  role_assignments = var.role_assignments
  service_plan_resource_id = var.service_plan_resource_id
  site_config = var.site_config
  sticky_settings = var.sticky_settings
  storage_key_vault_secret_id = var.storage_key_vault_secret_id
  storage_shares_to_mount = var.storage_shares_to_mount
  tags = var.tags
  timeouts = var.timeouts
  virtual_network_subnet_id = var.virtual_network_subnet_id
  webdeploy_publish_basic_authentication_enabled = var.webdeploy_publish_basic_authentication_enabled
  zip_deploy_file = var.zip_deploy_file
}
